interface

  subroutine helm3d_f(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh) !bind(C, name="helm3d_f_")
    implicit none
    integer *4, intent(in) :: nd
    complex *8, intent(in) :: zk
    real    *8, intent(in) :: sources(*)
    complex *8, intent(in) :: charge(*)
    integer *4, intent(in) :: ns
    real    *8, intent(in) :: ztarg(*)
    integer *4, intent(in) :: nt
    complex *8, intent(out):: pot(*)
    real    *8, intent(in) :: thresh
  end subroutine

  subroutine helm3d_vec_f(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh) !bind(C, name="helm3d_vec_f_")
    implicit none
    integer *4, intent(in) :: nd
    complex *8, intent(in) :: zk
    real    *8, intent(in) :: sources(*)
    complex *8, intent(in) :: charge(*)
    integer *4, intent(in) :: ns
    real    *8, intent(in) :: ztarg(*)
    integer *4, intent(in) :: nt
    complex *8, intent(out):: pot(*)
    real    *8, intent(in) :: thresh
  end subroutine

  subroutine helm3d_d(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh) !bind(C, name="helm3d_d_")
    implicit none
    integer *4, intent(in) :: nd
    complex*16, intent(in) :: zk
    real    *8, intent(in) :: sources(*)
    complex*16, intent(in) :: charge(*)
    integer *4, intent(in) :: ns
    real    *8, intent(in) :: ztarg(*)
    integer *4, intent(in) :: nt
    complex*16, intent(out):: pot(*)
    real    *8, intent(in) :: thresh
  end subroutine

  subroutine helm3d_vec_d(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh) !bind(C, name="helm3d_vec_d_")
    implicit none
    integer *4, intent(in) :: nd
    complex*16, intent(in) :: zk
    real    *8, intent(in) :: sources(*)
    complex*16, intent(in) :: charge(*)
    integer *4, intent(in) :: ns
    real    *8, intent(in) :: ztarg(*)
    integer *4, intent(in) :: nt
    complex*16, intent(out):: pot(*)
    real    *8, intent(in) :: thresh
  end subroutine

end interface
